### Method

# GLib OptionContext set_description

since: 2.12

#### Declaration [src]

    void
    g_option_context_set_description (
      GOptionContext* context,
      const gchar* description
    )

#### Description [src]

Adds a string to be displayed in `--help` output after the list of options. This text often includes a bug reporting address.

Note that the summary is translated (see g_option_context_set_translate_func()).

Available since: 2.12

#### Parameters

`description`

  Type: `const gchar*`

  A string to be shown in `--help` output after the list of options, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.